Description

No route matches {:controller=>"config_templates", :action=>"edit", :id=>"PXELinux - ESXi w/ Kicks

tart"}

Here is the log entry for both the creation of the template then the error that follows after crea

tion

Started POST "/config_templates" for 165.91.140.5 at Thu Aug 16 16:34:01 -0500 2012

  Processing by ConfigTemplatesController#create as HTML

  Parameters: {"utf8"=>"✓", "keybinding"=>"Default", "commit"=>"Submit", "config_template"=>{"temp

late"=>"LABEL esxi-ks\r\n  MENU LABEL ESXi 4.1U2 w/ Kickstart\r\n  KERNEL esxi/mboot.c32\r\n  appe

nd esxi/vmkboot.gz ks=<%= foreman_url(\"provision\")%> --- esxi/vmkernel.gz --- esxi/sys.vgz --- e

sxi/cim.vgz --- esxi/ienviron.vgz --- esxi/install.vgz --- esxi/image.tgz\r\n  ", "operatingsystem

_ids"=>["", "", "", "", "", "", "", "", "", "", ""], "audit_comment"=>"", "name"=>"PXELinux - ESXi

 w/ Kickstart", "template_kind_id"=>"1", "snippet"=>"0"}, "authenticity_token"=>"Mplt551chynXGGa++

MfeQK9EtytexKbBiw4Z/V/0VlE="}

  User Load (0.2ms)  SELECT `users`.* FROM `users` WHERE `users`.`id` = 2 LIMIT 1

Setting current user thread-local variable to treydock

  SQL (0.1ms)  BEGIN

  SQL (0.1ms)  COMMIT

  SQL (0.0ms)  BEGIN

  SQL (0.3ms)  SELECT 1 FROM `config_templates` WHERE (`config_templates`.`name` = BINARY 'PXELinu

x - ESXi w/ Kickstart') LIMIT 1

  SQL (0.5ms)  describe `config_templates`

  AREL (0.3ms)  INSERT INTO `config_templates` (`snippet`, `name`, `updated_at`, `template_kind_id

`, `template`, `created_at`) VALUES (0, 'PXELinux - ESXi w/ Kickstart', '2012-08-16 21:34:01', 1, 

'LABEL esxi-ks\n MENU LABEL ESXi 4.1U2 w/ Kickstart\n KERNEL esxi/mboot.c32\n append esxi/vmkboot.

gz ks=<%= foreman_url(\"provision\")%> --- esxi/vmkernel.gz --- esxi/sys.vgz --- esxi/cim.vgz --- 

esxi/ienviron.vgz --- esxi/install.vgz --- esxi/image.tgz\n ', '2012-08-16 21:34:01')

  ConfigTemplate Load (0.4ms)  SELECT `config_templates`.* FROM `config_templates` WHERE `config_t

emplates`.`id` = 45 ORDER BY LOWER(config_templates.name) LIMIT 1

  SQL (0.3ms)  SELECT MAX(`audits`.`version`) AS max_id FROM `audits` WHERE `audits`.`auditable_id

` = 45 AND `audits`.`auditable_type` = 'ConfigTemplate'

  SQL (0.7ms)  describe `audits`

  AREL (0.2ms)  INSERT INTO `audits` (`auditable_type`, `associated_name`, `action`, `associated_t

ype`, `user_id`, `remote_address`, `version`, `created_at`, `comment`, `associated_id`, `auditable

_name`, `username`, `audited_changes`, `auditable_id`, `user_type`) VALUES ('ConfigTemplate', NULL

, 'create', NULL, NULL, '165.91.140.5', 1, '2012-08-16 21:34:01', '', NULL, 'PXELinux - ESXi w/ Ki

ckstart', 'Trey Dockendorf', '--- \n template: \"LABEL esxi-ks\\n MENU LABEL ESXi 4.1U2 w/ Kicksta

rt\\n KERNEL esxi/mboot.c32\\n append esxi/vmkboot.gz ks=<%= foreman_url(\\\"provision\\\")%> --- 

esxi/vmkernel.gz --- esxi/sys.vgz --- esxi/cim.vgz --- esxi/ienviron.vgz --- esxi/install.vgz --- 

esxi/image.tgz\\n \"\n name: PXELinux - ESXi w/ Kickstart\n template_kind_id: 1\n snippet: false',

 45, NULL)

  SQL (410.4ms)  COMMIT

Redirected to https://dc-foreman.tamu.edu/config_templates

Completed 302 Found in 451ms
Started GET "/config_templates" for 165.91.140.5 at Thu Aug 16 16:34:02 -0500 2012

  Processing by ConfigTemplatesController#index as HTML

  User Load (0.1ms)  SELECT `users`.* FROM `users` WHERE `users`.`id` = 2 LIMIT 1

Setting current user thread-local variable to treydock

  ConfigTemplate Load (0.6ms)  SELECT `config_templates`.* FROM `config_templates` ORDER BY LOWER(

config_templates.name) LIMIT 1

  ConfigTemplate Load (1.6ms)  SELECT `config_templates`.* FROM `config_templates` ORDER BY LOWER(

config_templates.name), `config_templates`.`name` ASC LIMIT 50 OFFSET 0

  TemplateKind Load (0.1ms)  SELECT `template_kinds`.* FROM `template_kinds` WHERE (`template_kind

s`.`id` IN (1,2,4,6,5,3))

  TemplateCombination Load (0.3ms)  SELECT `template_combinations`.* FROM `template_combinations` 

WHERE (`template_combinations`.config_template_id IN (20,21,32,39,19,29,37,40,38,11,13,31,14,16,15

,43,4,3,1,41,23,28,30,26,5,6,2,36,8,7,12,42,45,25,9,24,10,35,34,18,17))

  Environment Load (0.1ms)  SELECT `environments`.* FROM `environments` WHERE (`environments`.`id`

 IN (5,2))

  Hostgroup Load (0.1ms)  SELECT `hostgroups`.* FROM `hostgroups` WHERE (`hostgroups`.`id` IN (3,1

1,20))

Rendered config_templates/index.html.erb within layouts/application (89.0ms)

Operation FAILED: No route matches {:controller=>"config_templates", :action=>"edit", :id=>"PXELin

ux - ESXi w/ Kickstart"}

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:431:in `rai

se_routing_error'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:404:in `gen

erate'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:460:in `gen

erate'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:488:in `url

_for'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/url_for.rb:131:in `url_f

or'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/helpers/url_helper.rb:99:in `url_for

'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/helpers/url_helper.rb:236:in `link_t

o'

/usr/share/foreman/app/helpers/application_helper.rb:95:in `link_to_if_authorized'

/usr/share/foreman/app/views/config_templates/index.html.erb:20:in `_app_views_config_templates_in

dex_html_erb___1741073052_70090509550740_0'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/relation.rb:13:in `each'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/relation.rb:13:in `__send__'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/relation.rb:13:in `each'

/usr/share/foreman/app/views/config_templates/index.html.erb:18:in `_app_views_config_templates_in

dex_html_erb___1741073052_70090509550740_0'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/template.rb:135:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/template.rb:135:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/notifications.rb:54:in `instru

ment'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/template.rb:127:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/render/rendering.rb:59:in `_render_t

emplate'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/notifications.rb:52:in `instru

ment'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/notifications/instrumenter.rb:

21:in `instrument'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/notifications.rb:52:in `instru

ment'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/render/rendering.rb:56:in `_render_t

emplate'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_view/render/rendering.rb:26:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/rendering.rb:115:in `_render

_template'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/rendering.rb:109:in `render_

to_body'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/renderers.rb:47:in `rend

er_to_body'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/compatibility.rb:55:in `

render_to_body'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/rendering.rb:102:in `render_
to_string'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/rendering.rb:93:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/rendering.rb:17:in `rend

er'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/instrumentation.rb:40:in

 `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/core_ext/benchmark.rb:5:in `ms

'

/usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/core_ext/benchmark.rb:5:in `ms

'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/instrumentation.rb:40:in

 `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/instrumentation.rb:78:in

 `cleanup_view_runtime'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/railties/controller_runtime.rb:1

5:in `cleanup_view_runtime'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/instrumentation.rb:39:in

 `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/implicit_render.rb:10:in

 `default_render'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/implicit_render.rb:5:in 

`send_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/base.rb:150:in `process_acti

on'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/rendering.rb:11:in `proc

ess_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/callbacks.rb:18:in `process_

action'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:474:in `_run__214

1631504__process_action__1744553292__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:221:in `_conditio

nal_callback_around_3211'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:331:in `around'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:315:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:315:in `_callback

_around_760'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:220:in `_conditio

nal_callback_around_3211'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:473:in `_run__214

1631504__process_action__1744553292__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:221:in `_conditio

nal_callback_around_3210'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:331:in `around'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:315:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:315:in `_callback

_around_13'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:220:in `_conditio

nal_callback_around_3210'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:436:in `_run__214

1631504__process_action__1744553292__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:410:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:410:in `_run_proc

ess_action_callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:94:in `send'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:94:in `run_callba

cks'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/callbacks.rb:17:in `process_

action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/rescue.rb:17:in `process

_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/instrumentation.rb:30:in

 `process_action'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/notifications.rb:52:in `instru

ment'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/notifications/instrumenter.rb:

21:in `instrument'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/notifications.rb:52:in `instru

ment'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/instrumentation.rb:29:in

 `process_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/base.rb:119:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/abstract_controller/rendering.rb:41:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal.rb:138:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal/rack_delegation.rb:14:in

 `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_controller/metal.rb:178:in `action'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:68:in `call

'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:68:in `disp

atch'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:33:in `call

'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/route_set.rb:148:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:93:in `recognize'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:96:in `optimized_e

ach'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/code_generation.rb:92:in `recognize'

/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/lib/rack/mount/route_set.rb:139:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/routing/route_set.rb:499:in `cal

l'

/usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.9/lib/apipie/static_dispatcher.rb:57:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/best_standards_suppor

t.rb:17:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/head.rb:14:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/params_parser.rb:21:i

n `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/flash.rb:182:in `call

'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/session/abstract_stor

e.rb:149:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/cookies.rb:302:in `ca

ll'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/query_cache.rb:32:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/connection_adapters/abstract/que

ry_cache.rb:28:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/query_cache.rb:12:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/query_cache.rb:31:in `call'

/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.15/lib/active_record/connection_adapters/abstract/con

nection_pool.rb:354:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/callbacks.rb:46:in `c

all'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/callbacks.rb:416:in `_run_call

_callbacks'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/callbacks.rb:44:in `c

all'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/sendfile.rb:106:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/remote_ip.rb:48:in `c

all'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/show_exceptions.rb:47

:in `call'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.15/lib/rails/rack/logger.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/runtime.rb:17:in `call'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.15/lib/active_support/cache/strategy/local_cache.rb:

72:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/lock.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/lock.rb:13:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/lock.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.15/lib/action_dispatch/middleware/static.rb:30:in `call

'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.15/lib/rails/application.rb:168:in `call'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.15/lib/rails/application.rb:77:in `send'

/usr/lib/ruby/gems/1.8/gems/railties-3.0.15/lib/rails/application.rb:77:in `method_missing'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/urlmap.rb:47:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/urlmap.rb:41:in `each'

/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/lib/rack/urlmap.rb:41:in `call'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/request_handler.rb:96:in `

process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_request_handler.rb:513

:in `accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_request_handler.rb:274

:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:206

:in `start_request_handler'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:171

:in `send'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:171

:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/utils.rb:479:in `safe_fork'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:166

:in `handle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `__se

nd__'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `serv

er_main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:206:in `star

t_synchronously'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:180:in `star

t'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:129

:in `start'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:253:in `spawn_

rack_application'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:1

32:in `lookup_or_add'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:246:in `spawn_

rack_application'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:8

2:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:7

9:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:244:in `spawn_

rack_application'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_

application'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:275:in `handle

_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `__se

nd__'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `serv

er_main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:206:in `star

t_synchronously'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/helper-scripts/passenger-spawn-server:99

Read fragment views/tabs_and_title_records-2 (0.3ms)

Rendered home/_topbar.rhtml (1.0ms)

  Bookmark Load (0.1ms)  SELECT `bookmarks`.* FROM `bookmarks` WHERE (((bookmarks.public = 1) OR (

bookmarks.owner_id = 2 AND bookmarks.owner_type = 'User'))) AND (controller = 'config_templates') 

ORDER BY name

Rendered common/_searchbar.erb (5.0ms)

Rendered common/500.rhtml within layouts/application (20.0ms)

Completed 500 Internal Server Error in 119ms (Views: 21.6ms | ActiveRecord: 2.3ms)

Associated revisions

Revision c4038d6f - 01/30/2013 07:22 AM - Ohad Levy

fixes #1827: use ids instead of names for templates routes

History
#1 - 09/05/2012 04:05 AM - Ohad Levy

- Target version set to 1.1

#2 - 01/07/2013 05:41 PM - Sam Kottler

- Status changed from New to Feedback

I've opened a pull request that just replaces slashes with dashes before save.

https://github.com/theforeman/foreman/pull/355

#3 - 01/30/2013 07:22 AM - Ohad Levy

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset c4038d6feef61f823a9f10ba0855d1aeb9cc9249.

Powered by TCPDF (www.tcpdf.org)

04/27/2024 6/6

https://github.com/theforeman/foreman/pull/355
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c4038d6feef61f823a9f10ba0855d1aeb9cc9249
http://www.tcpdf.org

